streq(3)

NAME
streq - strings equal

LIBRARY
gnulib - The GNU Portability Library

SYNOPSIS
#include <string.h>

bool streq(const char *s1, const char *s2);

DESCRIPTION
streq() determines whether the strings s1 and s2 are equal.

It is equivalent to

    strcmp(s1, s2) == 0

RETURN VALUE
streq() returns true if and only if the strings s1 and s2 are equal.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
GNU.

HISTORY
gnulib 202601.

SEE ALSO
memeq(3), strcmp(3), string(3)